Bug 506612 - trace.h is missing #include <stdio.h>
trace.h is missing #include <stdio.h>
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: barry (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Christopher D. Stover
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 18:53 EDT by Nathanael Noblet
Modified: 2009-06-26 22:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.15-0.6.20090623git.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 22:40:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathanael Noblet 2009-06-17 18:53:42 EDT
Description of problem:
when enabling the opensync plugin for f11 manually, compilation fails because opensync-plugin/src/trace.h uses the functin vsnprintf, but doesn't 

#include <stdio.h>

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. change spec file: %if 0%{?fedora} > 8 && 0%{?fedora} < 11
2. rebuild
3.
  
Actual results:
failed build

Expected results:
clean build with opensync-plugin enabled

Additional info:
Comment 1 Nathanael Noblet 2009-06-17 18:57:55 EDT
basically to your barry-includes.patch you need to add

diff -ru barry-0.15.orig/opensync-plugin/src/trace.h barry-0.15/opensync-plugin/src/trace.h
--- barry-0.15.orig/opensync-plugin/src/trace.h	2009-06-17 16:54:49.000000000 -0600
+++ barry-0.15/opensync-plugin/src/trace.h.new	2009-06-17 16:54:45.000000000 -0600
@@ -24,6 +24,7 @@
 
 #include <opensync/opensync.h>
 #include <stdarg.h>
+#include <stdio.h>
 
 class Trace
 {
Comment 2 Fedora Update System 2009-06-24 20:38:39 EDT
barry-0.15-0.6.20090623git.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/barry-0.15-0.6.20090623git.fc9
Comment 3 Fedora Update System 2009-06-24 20:41:51 EDT
barry-0.15-0.6.20090623git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/barry-0.15-0.6.20090623git.fc10
Comment 4 Fedora Update System 2009-06-24 20:43:55 EDT
barry-0.15-0.6.20090623git.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/barry-0.15-0.6.20090623git.fc11
Comment 5 Fedora Update System 2009-06-26 22:39:52 EDT
barry-0.15-0.6.20090623git.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-06-26 22:52:18 EDT
barry-0.15-0.6.20090623git.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-06-26 22:55:34 EDT
barry-0.15-0.6.20090623git.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.